Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://cloudlab.scispot.io/labflows/link-samples-to-test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labflowId": "<string>",
"protocoltemplateId": "<string>",
"sampleUuids": [
"<string>"
],
"sampleEntityUuid": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labflowId: '<string>',
protocoltemplateId: '<string>',
sampleUuids: ['<string>'],
sampleEntityUuid: '<string>'
})
};
fetch('https://cloudlab.scispot.io/labflows/link-samples-to-test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labflows/link-samples-to-test"
payload = {
"labflowId": "<string>",
"protocoltemplateId": "<string>",
"sampleUuids": ["<string>"],
"sampleEntityUuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"performTestStepId": "<string>",
"protocoltemplateId": "<string>",
"samplesLinked": 123,
"testResults": {}
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}curl --request POST \
--url https://cloudlab.scispot.io/labflows/link-samples-to-test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labflowId": "<string>",
"protocoltemplateId": "<string>",
"sampleUuids": [
"<string>"
],
"sampleEntityUuid": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labflowId: '<string>',
protocoltemplateId: '<string>',
sampleUuids: ['<string>'],
sampleEntityUuid: '<string>'
})
};
fetch('https://cloudlab.scispot.io/labflows/link-samples-to-test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloudlab.scispot.io/labflows/link-samples-to-test"
payload = {
"labflowId": "<string>",
"protocoltemplateId": "<string>",
"sampleUuids": ["<string>"],
"sampleEntityUuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"performTestStepId": "<string>",
"protocoltemplateId": "<string>",
"samplesLinked": 123,
"testResults": {}
}{
"success": false,
"message": "Invalid Authentication Token"
}{
"success": false,
"message": "Missing Authentication Token"
}{
"success": false,
"message": "Validation error"
}{
"success": false,
"message": "Operation failed"
}Personal access token from Scispot Account → Personal Tokens
